Subject: Re: [NSIS] Working Group Last Call: Applicability Statement of NSIS Protocols in Mobile Environments

From: Takako Sanda <[email-masked]>
Date: Mon, 08 Mar 2010 18:32:43 +0900

Hi Jukka and Magnus,

Thank you for your comments, and sorry to be late due to my business
trip.

As you pointed out, the draft is not talking about applicability
statement. I will change the title into "NSIS protocols operation in
Mobile Environment", as well as change the Intended status into
Experimental.
If anyone has other preferable title, and/or some comments, please let
me know even after submitting the newest version.

Should I change also change the file name?

Thanks,
Takako

On Fri, 26 Feb 2010 12:57:32 +0200
Jukka Manner <[email-masked]> wrote:

> Thanks, Magnus.
> 
> Takako, please change the title and probably go through the introduction 
> to see if it talks about applicability within the text.
> 
> regards,
> Jukka
> 
> On 26.2.2010 11:42, Magnus Westerlund wrote:
> > Hi,
> >
> > Are this really an applicability statement in the RFC 2026 sense? This
> > document is not intended to SPECIFY how you would use NSIS for mobility
> > signaling.
> >
> >  From Section 3.2 of RFC 2026:
> >>     An Applicability Statement specifies how, and under what
> >>     circumstances, one or more TSs may be applied to support a particular
> >>     Internet capability.  An AS may specify uses for TSs that are not
> >>     Internet Standards, as discussed in Section 7.
> >>
> >>     An AS identifies the relevant TSs and the specific way in which they
> >>     are to be combined, and may also specify particular values or ranges
> >>     of TS parameters or subfunctions of a TS protocol that must be
> >>     implemented.  An AS also specifies the circumstances in which the use
> >>     of a particular TS is required, recommended, or elective (see section
> >>     3.3).
> >>
> >>     An AS may describe particular methods of using a TS in a restricted
> >>     "domain of applicability", such as Internet routers, terminal
> >>     servers, Internet systems that interface to Ethernets, or datagram-
> >>     based database servers.
> >>
> >>     The broadest type of AS is a comprehensive conformance specification,
> >>     commonly called a "requirements document", for a particular class of
> >>     Internet systems, such as Internet routers or Internet hosts.
> >>
> >>     An AS may not have a higher maturity level in the standards track
> >>     than any standards-track TS on which the AS relies (see section 4.1).
> >>     For example, a TS at Draft Standard level may be referenced by an AS
> >>     at the Proposed Standard or Draft Standard level, but not by an AS at
> >>     the Standard level.
> >
> >
> >
> > It might be worth changing the title of the document to avoid having
> > people thinking it is a AS. Remove Statement and add a The before
> > applicability.
> >
> > Cheers
> >
> > Magnus
> >
> > Jukka Manner skrev 2010-02-22 08:44:
> >> Hi,
> >>
> >> Need to ask our AD. The applicability statement does not define
> >> technical extensions or change the original specs in any way. It just
> >> shows how and why the protocols actually work with a mobile hosts.
> >>
> >> cheers,
> >> Jukka
> >>
> >> On 20.2.2010 23:09, Al Morton wrote:
> >>> At 06:44 AM 2/20/2010, Jukka Manner wrote:
> >>>> ...
> >>>> http://www.ietf.org/internet-drafts/draft-ietf-nsis-applicability-mobility-signaling-14.txt
> >>>>
> >>>>
> >>>> Please review the document and send your comments by Sunday March 7.
> >>>
> >>> I remember reading (somewhere) that AS memos should have the
> >>> same status as the memo(s) they refer to, which in this case would
> >>> be Experimental?
> >>>
> >>> I've searched for my notes about this, with no luck. The relevant text
> >>> in RFC 2026 puts an upper limit the on the AS memo status:
> >>> http://tools.ietf.org/html/rfc2026#section-3.2
> >>> "...An AS may not have a higher maturity level in the standards track
> >>> than any standards-track TS on which the AS relies..."
> >>>
> >>> We were quite late in sorting-out the status of other NSIS memos,
> >>> better to do it now, IMO.
> >>>
> >>> Al
> >>>
> >
> >

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 08 Mar 2010 10:57:23 +0100

Hi Takako,

I think the title change makes a lot of sense. However, I think
Informational status was the right status as it rather than defining how
to do things it discusses and investigates what the implications of
operating in a mobile environment are on these protocols.

Best Regards

Magnus

Takako Sanda skrev 2010-03-08 10:32:
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nsis
> 

-- 

Magnus Westerlund

IETF Transport Area Director
----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------

---

From: Takako Sanda <[email-masked]>
Date: Mon, 08 Mar 2010 19:01:24 +0900

Hi Magnus,

Thank you for your comment.
I will keep the Intended status Informational.

BR,
Takako

On Mon, 08 Mar 2010 10:57:23 +0100

---

From: "Georgios Karagiannis" <[email-masked]>
Date: Mon, 08 Mar 2010 10:08:23 +0000

Hi Takako

I do not have additional comments on draft!
Regarding the title of the draft, I think that it is possible to change
it!
However, I think that you cannot change the file name!

Best regards,
Georgios